unit FormMain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Dropbox;

type
  TFrmMain = class(TForm)
    Button1: TButton;
    LblFileName: TLabel;
    LblStatus: TLabel;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.dfm}

procedure TFrmMain.Button1Click(Sender: TObject);
var
  CurStatus: TDropboxStatus;
  CurStatTxt: string;
begin
  if OpenDialog1.Execute() then
  begin
    LblFileName.Caption := OpenDialog1.FileName;
    CurStatus := TDropbox.GetStatus(OpenDialog1.FileName);
    CurStatTxt := TDropbox.StatusToStr(CurStatus);
    LblStatus.Caption := 'Dropbox Status: ' + CurStatTxt;
  end;
end;

end.
